Package com.documentum.fc.client.content

# Interface IDfExternalStore

All Superinterfaces:
  `IDfPersistentObject`, `IDfStore`, `IDfTypedObject`

All Known Subinterfaces:
  `IDfExternalFileStore`

public interface IDfExternalStore extends IDfStore
An external content storage area for objects accessible to the server but whose physical contents are stored outside the server.

Since:
  5.4

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getExecMode()`
  `boolean`
  `getIsWritable()`
  `int`
  `getPlatform(int index)`
  `IDfId`
  `getPluginId(int index)`
  `String`
  `getStorageClass()`
  `String`
  `getStorageParamName(int index)`
  `String`
  `getStorageParamValue(int index)`
  `boolean`
  `isContentStatic()`
  `void`
  `setContentStatic(boolean value)`
  `void`
  `setExecMode(boolean value)`
  `void`
  `setIsWritable(boolean value)`
  `void`
  `setPlatform(int index, int value)`
  `void`
  `setPluginId(int index, IDfId value)`
  `void`
  `setStorageClass(String value)`
  `void`
  `setStorageParamName(int index, String value)`
  `void`
  `setStorageParamValue(int index, String value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.content.IDfStore

  `getBaseUrl, getCapacity, getComponent, getComponentCount, getComponentId, getComponentIdCount, getCompressionMode, getContentDuplPref, getContentHashMode, getCredentialId, getCredentialKey, getCryptoKey, getCryptoMode, getCurrentUse, getDigitalShredding, getGetMethod, getJavaAccess, getMediaType, getName, getNativeAccess, getOfflineGetMethod, getRequireTicket, getStatus, getStoreType, getUseMaskAfter, setBaseUrl, setCapacity, setComponent, setCompressionMode, setContentDuplPref, setContentHashMode, setCredentialId, setCredentialKey, setCryptoKey, setCryptoMode, setCurrentUse, setDigitalShredding, setGetMethod, setJavaAccess, setMediaType, setName, setNativeAccess, setOfflineGetMethod, setRequireTicket, setStatus, setStoreType`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getPlatform

    int getPlatform(int index) throws DfException
    Throws:
      `DfException`

  - ### setPlatform

    void setPlatform(int index, int value) throws DfException
    Throws:
      `DfException`

  - ### getPluginId

    IDfId getPluginId(int index) throws DfException
    Throws:
      `DfException`

  - ### setPluginId

    void setPluginId(int index, IDfId value) throws DfException
    Throws:
      `DfException`

  - ### getExecMode

    boolean getExecMode() throws DfException
    Throws:
      `DfException`

  - ### setExecMode

    void setExecMode(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getIsWritable

    boolean getIsWritable() throws DfException
    Throws:
      `DfException`

  - ### setIsWritable

    void setIsWritable(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getStorageClass

    String getStorageClass() throws DfException
    Throws:
      `DfException`

  - ### setStorageClass

    void setStorageClass(String value) throws DfException
    Throws:
      `DfException`

  - ### getStorageParamName

    String getStorageParamName(int index) throws DfException
    Throws:
      `DfException`

  - ### setStorageParamName

    void setStorageParamName(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getStorageParamValue

    String getStorageParamValue(int index) throws DfException
    Throws:
      `DfException`

  - ### setStorageParamValue

    void setStorageParamValue(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### isContentStatic

    boolean isContentStatic() throws DfException
    Throws:
      `DfException`

  - ### setContentStatic

    void setContentStatic(boolean value) throws DfException
    Throws:
      `DfException`